<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CBooleanValue
{
    /**
     * @var bool
     */
    private $value;

    public function getValue(): bool
    {
        return $this->value;
    }

    public function withValue(bool $value): CBooleanValue
    {
        $new = clone $this;
        $new->value = $value;

        return $new;
    }
}
